CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  INDX          = 6

OBJ

  ser   :       "Parallax Serial Terminal"
  u     :       "umath"

PUB start | i, incr, factor, z

  ser.start(9600)
  factor := $8000_0000
  incr := $4000_0000
  repeat i from 0 to 31
    z := u.multindex(50000000, factor, INDX)
'    ser.hex(z, 8)
'    ser.char(13)
    if (u.lt(z, $8000_0000))
      factor += incr
    elseif (u.gt(z, $8000_0000))
      factor -= incr
    else
      quit
    incr >>= 1
  ser.char(13)
  ser.str(string("factor == $"))
  ser.hex(factor, 8)
  ser.str(string(13, 13))
  repeat i from 0 to 90000000 step 10000000
    ser.dec(i)
    ser.str(string(" * factor = $"))
    ser.hex(u.multindex(i, factor, INDX), 8)
    ser.char(13)
  ser.dec(99999999)
  ser.str(string(" * factor = $"))
  ser.hex(u.multindex(99999999, factor, INDX), 8)
   